[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.ReadFloat

Read a floating point value

## Declaration

Source position: inifiles.pp line 139

`public function TCustomIniFile.ReadFloat(`
`const Section: String;`
`const Ident: String;`
`Default: Double`
`):Double; virtual;`

## Arguments

`Section` |  | Section to read Ident from
`Ident` |  | Name of key to retrieve value from
`Default` |  | Default value to return when the key Ident does not exist.

## Function result

Value of Ident as a floating point value

## Description

ReadFloat reads the key Ident in section Section, and returns the value as a float (Double). If the specified key or section do not exist, then the value in Default is returned. If the key exists, but contains an invalid float value, Default is also returned. The international settings of the SysUtils are taken into account when deciding if the read value is a correct float.

## See also

WriteFloat |  | Write a floating-point value
ReadInteger |  | Read an integer value from the file
ReadBool |  |
ReadDate |  | Read a date value
ReadDateTime |  | Read a Date/Time value
ReadTime |  | Read a time value
ReadString |  | Read a string valued key
ReadBinaryStream |  | Read binary data

The latest version of this document can be found at lazarus-ccr.sourceforge.net .